gr::radar::signal_generator_sync_pulse_c_impl Class Reference

`#include <signal_generator_sync_pulse_c_impl.h>`

Inheritance diagram for gr::radar::signal_generator_sync_pulse_c_impl:

## Public Member Functions

| signal_generator_sync_pulse_c_impl (int packet_len, std::vector< int > pulse_len, std::vector< int > pulse_pause, float pulse_amplitude, const std::string len_key)
| ~signal_generator_sync_pulse_c_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Public Attributes

int | d_packet_len
std::vector< gr_complex > | d_out_buffer
int | d_counter
pmt::pmt_t | d_key
pmt::pmt_t | d_value
pmt::pmt_t | d_srcid

## Additional Inherited Members

Public Types inherited from gr::radar::signal_generator_sync_pulse_c
typedef std::shared_ptr< signal_generator_sync_pulse_c > | sptr
Static Public Member Functions inherited from gr::radar::signal_generator_sync_pulse_c
static sptr | make (int packet_len, std::vector< int > pulse_len, std::vector< int > pulse_pause, float pulse_amplitude, const std::string len_key="packet_len")
| Return a shared_ptr to a new instance of radar::signal_generator_sync_pulse_c.

## Constructor & Destructor Documentation

## signal_generator_sync_pulse_c_impl()

gr::radar::signal_generator_sync_pulse_c_impl::signal_generator_sync_pulse_c_impl | ( | int | packet_len,
|  | std::vector< int > | pulse_len,
|  | std::vector< int > | pulse_pause,
|  | float | pulse_amplitude,
|  | const std::string | len_key )

## ~signal_generator_sync_pulse_c_impl()

gr::radar::signal_generator_sync_pulse_c_impl::~signal_generator_sync_pulse_c_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::radar::signal_generator_sync_pulse_c_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## d_counter

int gr::radar::signal_generator_sync_pulse_c_impl::d_counter

## d_key

pmt::pmt_t gr::radar::signal_generator_sync_pulse_c_impl::d_key

## d_out_buffer

std::vector<gr_complex> gr::radar::signal_generator_sync_pulse_c_impl::d_out_buffer

## d_packet_len

int gr::radar::signal_generator_sync_pulse_c_impl::d_packet_len

## d_srcid

pmt::pmt_t gr::radar::signal_generator_sync_pulse_c_impl::d_srcid

## d_value

pmt::pmt_t gr::radar::signal_generator_sync_pulse_c_impl::d_value

The documentation for this class was generated from the following file:

- signal_generator_sync_pulse_c_impl.h